/*
    Prints out short signed and unsigned ranges.  
    * signed <-2^(n-1), 2^(n-1)-1>
    * unsigned <0, 2^n -1)>
    * n represents number of bits which data type uses
*/

#include <stdio.h>
#include <limits.h>

int main(void)
{
    int range = 1;

    // Calculates 2^n
    for(unsigned int i = 1; i <= (sizeof(short int)*8); i++) {
        range = range * 2;
    }

    printf("Signed: <%d,%d> == <%d,%d>\n", -range/2, range/2 -1, SHRT_MIN, SHRT_MAX);
    printf("Unsigned: <%d,%d> == <%d,%d>\n", 0, range -1, 0, USHRT_MAX);
    
    return 0;
}
